Bug 199965 - rpm -qa --info "any package containing ++ in the name" ex: compat-libstdc++-33-3.2.3-47.3 fails to return results, however using rpm -qi --info works
rpm -qa --info "any package containing ++ in the name" ex: compat-libstdc++-3...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
:
: 199966 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 12:50 EDT by Zachary Buckholz
Modified: 2012-06-20 12:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zachary Buckholz 2006-07-24 12:50:09 EDT
Description of problem:
rpm -qa --info "any package containing ++ in the name" ex: compat-libstdc++-33-
3.2.3-47.3   fails to return results,  however using rpm -qi --info works

Version-Release number of selected component (if applicable):
RPM version 4.3.3

How reproducible:

Steps to Reproduce:
1. rpm -qa --info compat-libstdc++-33-3.2.3-47.3
2.
3.
  
Actual results:


Expected results:
Name        : compat-libstdc++-33          Relocations: (not relocatable)
Version     : 3.2.3                             Vendor: Red Hat, Inc.
Release     : 47.3                          Build Date: Wed 01 Dec 2004 
09:12:34                                                           AM MST
Install Date: Tue 16 Aug 2005 10:41:01 PM MST      Build Host: 
tweety.build.redh                                                          
at.com
Group       : System Environment/Libraries   Source RPM: compat-gcc-32-3.2.3-
47.                                                          3.src.rpm
Size        : 733488                           License: GPL
Signature   : DSA/SHA1, Wed 05 Jan 2005 03:04:31 PM MST, Key ID 
219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://gcc.gnu.org
Summary     : Compatibility standard C++ libraries
Description :
The libstdc++ package contains compatibility standard C++ library
from GCC 3.3.4.
Name        : compat-libstdc++-33          Relocations: (not relocatable)
Version     : 3.2.3                             Vendor: Red Hat, Inc.
Release     : 47.3                          Build Date: Wed 01 Dec 2004 
09:12:34                                                           AM MST
Install Date: Tue 16 Aug 2005 10:41:01 PM MST      Build Host: 
tweety.build.redh                                                          
at.com
Group       : System Environment/Libraries   Source RPM: compat-gcc-32-3.2.3-
47.                                                          3.src.rpm
Size        : 733488                           License: GPL
Signature   : DSA/SHA1, Wed 05 Jan 2005 03:04:31 PM MST, Key ID 
219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://gcc.gnu.org
Summary     : Compatibility standard C++ libraries
Description :
The libstdc++ package contains compatibility standard C++ library
from GCC 3.3.4.


Additional info:

This only seems to happen with RPM packages that include a '++' in the name. 
All other RPM packages work as expected.
Comment 1 Jeff Johnson 2006-07-24 14:14:22 EDT
What makes you expect -qa to behave like -qi? Arguments to -qa are very different than those to -qi.
Comment 2 Jeff Johnson 2006-08-05 04:28:24 EDT
NOTABUG
Comment 3 Paul Nasrat 2006-08-08 18:04:11 EDT
*** Bug 199966 has been marked as a duplicate of this bug. ***
Comment 4 Jiri Pallich 2012-06-20 12:03:21 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.